.tool-panel-area
{
    position:absolute;
    top:0;
    left:0;
    height:100%;
    padding: 3px;
    max-height: 100vh;
}
.tool-panel-area.right-panel
{
    left:auto;
    right:0;
} 
.tool-panel-group
{
	position: relative;
    border: 1px solid #6a7d8c77;
    background-color: #1d2832ed;
	z-index:1000;
	transition: all 400ms ease-out;
	font-size:11px!important;
	color:#FFF;
}
.tool-panel-group.half
{
	max-width:150px!important;
}
.tool-panel-group.closed
{
	max-width:40px!important;
}
.tool-panel-group-head
{
    position: relative;
    width: 100%;
    background-color: #23457d;
    border-bottom: 1px solid #6a7d8c77;
    color: #88b8ee;
    font-size: 10px;
    font-weight: 700;
    letter-spacing: 2px;
    text-transform: uppercase;
    top: 0;
    right: 0;
    cursor: pointer;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    flex: 1 0 22px;
    transition: all 400ms ease-out;
}
.tool-panel-group-title
{
	flex-grow: 100;
    white-space: nowrap;
    user-select: none;
    margin-left: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.tool-panel-group-body
{
    flex:2 2 0;
}
.closed .tool-panel-group-title
{
	display:none;
}

.tool-panel-group label._check_ input[type=checkbox], 
.tool-panel-group label._check_ input[type=radio], 
.tool-panel-group label._check_red_>input[type=checkbox], 
.tool-panel-group label._check_red_>input[type=radio], 
.tool-panel-group label._check_blue_>input[type=checkbox], 
.tool-panel-group label._check_blue_>input[type=radio], 
.tool-panel-group label._check_green_>input[type=checkbox], 
.tool-panel-group label._check_green_>input[type=radio]
{
    width:13px;
    height:13px;
}
.tool-panel-group label._check_ input[type=checkbox]:before, 
.tool-panel-group label._check_ input[type=radio]:before, 
.tool-panel-group label._check_red_>input[type=checkbox]:before, 
.tool-panel-group label._check_red_>input[type=radio]:before, 
.tool-panel-group label._check_blue_>input[type=checkbox]:before, 
.tool-panel-group label._check_blue_>input[type=radio]:before, 
.tool-panel-group label._check_green_>input[type=checkbox]:before,
.tool-panel-group label._check_green_>input[type=radio]:before
{
    width:13px;
    height:13px;
    line-height: 13px;
    background-color: cornflowerblue!important;
}

.tool-panel-group .layout-label-vert
{
    padding: 5px 16px;
    margin: 0;
    text-align: left;
    letter-spacing: 1px;
    font-size: 1.1em;
    margin-top: 3px;
    text-transform: uppercase;
}
.bp3-collapse .bp3-collapse-body
{
    overflow:hidden;
}
/* numeric */
.night .tool-panel-group .bp3-input-group.bp3-large .bp3-input
{
    font-size: 12px;
    height: 33px;
    min-height: 18px;
    line-height: 13px; 
    color:#FFF!important;
    letter-spacing: 1px;
}
.day .tool-panel-group .input, 
.day .tool-panel-group .input.dark
{
    height: 36px;
    align-items: center;
    font-size: 13px;
}
.night .tool-panel-group .input, 
.night .tool-panel-group .input.dark
{
    height: 36px;
    align-items: center;
    font-size: 13px;
    color:#FFF!important;
    border-bottom: 1px solid #fffcfc40!important;
}
.tool-panel-group .bp3-control-group:not(.bp3-vertical) > *:not(.bp3-divider)
{
    margin-right: 5px;
}

/* switcher */
.tool-panel-group input[type=checkbox].checkbox:not(checked) + label
{
    height: 16px;
}
.tool-panel-group input[type=checkbox].checkbox:not(checked) + label:before
{    
    width: 33px;
    height: 16px;
}
.tool-panel-group input[type=checkbox].checkbox:not(checked) + label:after
{
    width: 12px;
    height: 12px;
    
}
.tool-panel-group input[type=checkbox].checkbox:checked + label:after
{
    left: 18px;
}
.tool-panel-group .scalar-commentary
{
    margin-left: 0;
    max-width: 100%;
    width: 100%;
    flex: 0 100%;
    color: #c0bca1;
}
.night .tool-panel-group .row.dat
{
    margin: 0;
    background: -moz-linear-gradient(top,  rgba(2,4,10,0.34) 0%, rgba(63,90,117,0.11) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(2,4,10,0.34) 0%,rgba(63,90,117,0.11) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(2,4,10,0.34) 0%,rgba(63,90,117,0.11) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#5702040a', endColorstr='#1c3f5a75',GradientType=0 ); /* IE6-9 */
}
.tool-panel-group .bp3-card.bp3-elevation-0
{
    background-color: transparent;
    color: #FFF!important;
    padding-right: 0;
}
.tool-panel-group .bp3-tab
{ 
    color: #FFF!important;
}
.tool-panel-group .media_button
{ 
    color: #FFF!important;
    border-color: #ccc;
    background: #3d444b;
    min-height: 130px;
}
.tool-panel-group .bp3-tab-panel > .d-flex
{
    flex-direction: column;
    height: auto!important;
}
.tool-panel-group .bp3-tab-panel > .d-flex .bp3-button.bp3-minimal
{
    display:none;
}
.left-panel-dragger
{
    position: fixed;
    top: calc(50% - 20px);
    left: 420px;
    width: 6px;
    height: 40px;
    background: #6775a6;
    z-index: 1000;
    
    cursor: col-resize;
}

/* day */
.bp3-dialog.full
{     
    -webkit-transition: all 400ms ease-out;
    -moz-transition: all 400ms ease-out;
    -ms-transition: all 400ms ease-out;
    -o-transition: all 400ms ease-out;
    transition: all 400ms ease-out;
}
.bp3-dialog.full.day { 
    background: #bfc7cfe0;
}
.day .tool-panel-group .row.dat
{
    margin: 0;  
}
.day .tool-panel-group
{
    color: #000000;
    background-color: #f0f8ffed;
}
.day .tool-panel-group .bp3-tab
{ 
    color: #111!important;
}

/* night */
.night a
{
    color:#88b8ee!important;
}
.night .bp3-button.bp3-intent-danger
{
    color:#fddcdc!important;
}
.night .bp3-button
{
    color:#FFFFFF!important;
}
.night .bp3-tag.bp3-minimal:not([class*="bp3-intent-"])
{
    color:#DDDDDD!important;
}